IRremoteESP8266

Public Attributes | List of all members
ArgoProtocol Union Reference

Native representation of a Argo A/C message for WREM-2 remote. More...

`#include <ir_Argo.h>`

## Public Attributes
uint8_t | raw [kArgoStateLength]
| The state in native IR code form. More...
struct {
uint64_t Pre1:8
uint64_t Pre2:8
uint64_t __pad0__:3
uint64_t Mode:3
uint64_t Temp:5
uint64_t Fan:2
uint64_t RoomTemp:5
uint64_t Flap:3
uint64_t __pad1__:3
uint64_t __pad2__:8
uint64_t __pad3__:8
uint64_t __pad4__:3
uint64_t __pad5__:5
uint32_t __pad6__:6
uint32_t __pad7__:1
uint32_t __pad8__:1
uint32_t __pad9__:1
uint32_t __pad10__:1
uint32_t Night:1
uint32_t Max:1
uint32_t __pad11__:1
uint32_t Power:1
uint32_t __pad12__:1
uint32_t iFeel:1
uint32_t Post:2
uint32_t Sum:8
uint32_t __pad13__:6
}; |
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t CheckHi:3
uint8_t SensorT:5
uint8_t Fixed:3
uint8_t CheckLo:5
}; |

## Detailed Description

Native representation of a Argo A/C message for WREM-2 remote.

## Member Data Documentation

## ◆ @7

struct { ... }

## ◆ @9

struct { ... }

## ◆ __pad0__ [1/2]

uint64_t ArgoProtocol::__pad0__

## ◆ __pad0__ [2/2]

uint8_t ArgoProtocol::__pad0__

## ◆ __pad10__

uint32_t ArgoProtocol::__pad10__

## ◆ __pad11__

uint32_t ArgoProtocol::__pad11__

## ◆ __pad12__

uint32_t ArgoProtocol::__pad12__

## ◆ __pad13__

uint32_t ArgoProtocol::__pad13__

## ◆ __pad1__ [1/2]

uint64_t ArgoProtocol::__pad1__

## ◆ __pad1__ [2/2]

uint8_t ArgoProtocol::__pad1__

## ◆ __pad2__

uint64_t ArgoProtocol::__pad2__

## ◆ __pad3__

uint64_t ArgoProtocol::__pad3__

## ◆ __pad4__

uint64_t ArgoProtocol::__pad4__

## ◆ __pad5__

uint64_t ArgoProtocol::__pad5__

## ◆ __pad6__

uint32_t ArgoProtocol::__pad6__

## ◆ __pad7__

uint32_t ArgoProtocol::__pad7__

## ◆ __pad8__

uint32_t ArgoProtocol::__pad8__

## ◆ __pad9__

uint32_t ArgoProtocol::__pad9__

## ◆ CheckHi

uint8_t ArgoProtocol::CheckHi

## ◆ CheckLo

uint8_t ArgoProtocol::CheckLo

## ◆ Fan

uint64_t ArgoProtocol::Fan

## ◆ Fixed

uint8_t ArgoProtocol::Fixed

## ◆ Flap

uint64_t ArgoProtocol::Flap

## ◆ iFeel

uint32_t ArgoProtocol::iFeel

## ◆ Max

uint32_t ArgoProtocol::Max

## ◆ Mode

uint64_t ArgoProtocol::Mode

## ◆ Night

uint32_t ArgoProtocol::Night

## ◆ Post

uint32_t ArgoProtocol::Post

## ◆ Power

uint32_t ArgoProtocol::Power

## ◆ Pre1

uint64_t ArgoProtocol::Pre1

## ◆ Pre2

uint64_t ArgoProtocol::Pre2

## ◆ raw

uint8_t ArgoProtocol::raw[kArgoStateLength]

The state in native IR code form.

## ◆ RoomTemp

uint64_t ArgoProtocol::RoomTemp

## ◆ SensorT

uint8_t ArgoProtocol::SensorT

## ◆ Sum

uint32_t ArgoProtocol::Sum

## ◆ Temp

uint64_t ArgoProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Argo.h